CVE-2022-39388

Incorrect Authorization in go/github.com/istio/istio

Identifiers

CVE-2022-39388, GHSA-6c6p-h79f-g6p4

Package Slug

go/github.com/istio/istio

Vulnerability

Incorrect Authorization

Description

Istio is an open platform to connect, manage, and secure microservices. In versions on the 1.15.x branch prior to 1.15.3, a user can impersonate any workload identity within the service mesh if they have localhost access to the Istiod control plane. Version 1.15.3 contains a patch for this issue. There are no known workarounds.

Affected Versions

All versions starting from 1.15.0 up to 1.15.2

Solution

Upgrade to version 1.15.3 or above.

Last Modified

2022-11-17

source